View Issue Details

IDProjectCategoryView StatusLast Update
0005706DarkRadiantGUIpublic09.09.2021 18:19
ReporterBikerdude Assigned Togreebo  
PrioritynormalSeveritynormalReproducibilityalways
Status resolvedResolutionfixed 
PlatformPCOSWindowsOS Version10
Product Version2.13.0 
Target Version2.14.0Fixed in Version2.14.0 
Summary0005706: Surface Inspector's minimum width is too large
DescriptionThe SI window is 1.5-2x the width it was in 2.12 and previous versions of DR, currently it wont go any smaller than 719*509.
Additional InformationI like the darker background to the SI window and the coloured buttons, the old window wasn't hard on the eyes, but the new layout seems clearer - nice work Greebo!
TagsNo tags attached.

Relationships

related to 0005734 new Surface Inspector vertical shift / vertical scale arrows 

Activities

Bikerdude

Bikerdude

28.08.2021 16:53

reporter   ~0014318

Thanks Greebo
Bikerdude

Bikerdude

06.09.2021 17:27

reporter   ~0014336

As of version 2.13_rev26d5 this is still broken
greebo

greebo

07.09.2021 17:47

administrator   ~0014338

What's the minimum width you can resize the Surface Inspector on your end?
Bikerdude

Bikerdude

07.09.2021 19:28

reporter   ~0014339

Last edited: 07.09.2021 19:30

Hi Greebo as on 2.12 I currently use 366(w)*505(h), its as small as i could go before the text boxes in the 'texture Operations' section start overlapping. But It can go smaller than that if required (all the way down to 74*47, which is a bit daft.)

Under 2.13+ the "Surface Inspector" window wont go any smaller than 565(w)*509(h)
greebo

greebo

07.09.2021 19:39

administrator   ~0014340

OK, for me it's about 460 pixels. I think mostly it's the minimum size of the fit texture boxes which span out the rest of the table which share the same proportions.
Bikerdude

Bikerdude

07.09.2021 20:01

reporter   ~0014341

Last edited: 07.09.2021 20:01

Here is a screenshot of 2.12 over the top of 2.13, the 2.13 SI window wont scale down to the same size as 2.12 etc -
Untitled.jpg (101,938 bytes)   
Untitled.jpg (101,938 bytes)   
greebo

greebo

08.09.2021 02:58

administrator   ~0014342

Last edited: 08.09.2021 02:59

Yeah, ok, the 2.12 is cramped below its minimum required size it needs to render everything correctly. I can see whether I can squeeze out a few pixels by further reducing some stuff.
greebo

greebo

09.09.2021 18:08

administrator   ~0014343

My final offer: 331px
Bikerdude

Bikerdude

09.09.2021 18:19

reporter   ~0014344

Thanks greebo.

Related Changesets

DarkRadiant: master 757053ea

2021-08-28 16:12:01

greebo

Details Diff
0005706: Make the surface inspector's fit texture row report less minimum width Affected Issues
0005706
mod - radiant/ui/surfaceinspector/SurfaceInspector.cpp Diff File

DarkRadiant: master d44b2918

2021-09-09 18:06:52

greebo

Details Diff
0005706: Set a few more minimum widths. Buttons appear to report much more required width than they actually need to render their text contents. Affected Issues
0005706
mod - radiant/ui/surfaceinspector/SurfaceInspector.cpp Diff File

Issue History

Date Modified Username Field Change
11.08.2021 20:54 Bikerdude New Issue
28.08.2021 16:10 greebo Status new => confirmed
28.08.2021 16:12 greebo Changeset attached => DarkRadiant master 757053ea
28.08.2021 16:12 greebo Assigned To => greebo
28.08.2021 16:12 greebo Status confirmed => assigned
28.08.2021 16:12 greebo Target Version => 2.14.0
28.08.2021 16:12 greebo Status assigned => resolved
28.08.2021 16:12 greebo Resolution open => fixed
28.08.2021 16:12 greebo Fixed in Version => 2.14.0
28.08.2021 16:15 greebo Summary Surface inspector window not resizable: => Surface Inspector's minimum width is too large
28.08.2021 16:53 Bikerdude Note Added: 0014318
06.09.2021 17:26 Bikerdude Relationship added related to 0005734
06.09.2021 17:27 Bikerdude Status resolved => assigned
06.09.2021 17:27 Bikerdude Resolution fixed => reopened
06.09.2021 17:27 Bikerdude Note Added: 0014336
07.09.2021 17:47 greebo Note Added: 0014338
07.09.2021 19:28 Bikerdude Note Added: 0014339
07.09.2021 19:30 Bikerdude Note Edited: 0014339
07.09.2021 19:39 greebo Note Added: 0014340
07.09.2021 19:39 greebo File Added: 2021-09-07 21_38_14-Clipboard.png
07.09.2021 20:01 Bikerdude Note Added: 0014341
07.09.2021 20:01 Bikerdude File Added: Untitled.jpg
07.09.2021 20:01 Bikerdude Note Edited: 0014341
08.09.2021 02:58 greebo Note Added: 0014342
08.09.2021 02:59 greebo Note Edited: 0014342
09.09.2021 18:07 greebo Changeset attached => DarkRadiant master d44b2918
09.09.2021 18:08 greebo Status assigned => resolved
09.09.2021 18:08 greebo Resolution reopened => fixed
09.09.2021 18:08 greebo Note Added: 0014343
09.09.2021 18:08 greebo File Added: 2021-09-09 20_07_37-unnamed.map.png
09.09.2021 18:19 Bikerdude Note Added: 0014344